Skip to navigation

Update vectors

Updates specified vectors on points. All other unspecified vectors will stay intact.

Authentication

api-keystring

Authorization key, either read-write or read-only

OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

collection_namestringRequired
Name of the collection to update from

Query parameters

waitbooleanOptional
If true, wait for changes to actually happen
orderingenumOptional
define ordering guarantees for the operation
Allowed values:

Request

Update named vectors on points
pointslist of objectsRequired
Points with named vectors
shard_keystring or uint64 or list of strings or uint64s or anyOptional

Response

successful operation
usageobject or anyOptional
timefloatOptional
Time spent to process this request
statusstringOptional
resultobjectOptional

Errors

4XX
Client Request Error